# wxPGCell Class Reference
[wxPropertyGrid]

`#include </home/work/projects/wx/2.9/wx/interface/wx/propgrid/property.h>`

Inheritance diagram for wxPGCell:
[legend]

## Detailed Description

Base class for wxPropertyGrid cell information.

##

Library: wxPropertyGrid
Category: wxPropertyGrid

## Public Member Functions

| wxPGCell ()
| wxPGCell (const wxPGCell &other)
| wxPGCell (const wxString &text, const wxBitmap &bitmap=wxNullBitmap, const wxColour &fgCol=wxNullColour, const wxColour &bgCol=wxNullColour)
virtual | ~wxPGCell ()
const wxPGCellData * | GetData () const
bool | HasText () const
| Returns true if this cell has custom text stored within.
void | MergeFrom (const wxPGCell &srcCell)
| Merges valid data from srcCell into this.
void | SetText (const wxString &text)
void | SetBitmap (const wxBitmap &bitmap)
void | SetFgCol (const wxColour &col)
void | SetFont (const wxFont &font)
| Sets font of the cell.
void | SetBgCol (const wxColour &col)
const wxString & | GetText () const
const wxBitmap & | GetBitmap () const
const wxColour & | GetFgCol () const
const wxFont & | GetFont () const
| Returns font of the cell.
const wxColour & | GetBgCol () const
wxPGCell & | operator= (const wxPGCell &other)

List of all members.

## Constructor & Destructor Documentation

wxPGCell::wxPGCell | ( |  | ) |

wxPGCell::wxPGCell | ( | const wxPGCell & | other | ) |

wxPGCell::wxPGCell | ( | const wxString & | text,
|  | const wxBitmap & | bitmap = `wxNullBitmap`,
|  | const wxColour & | fgCol = `wxNullColour`,
|  | const wxColour & | bgCol = `wxNullColour` |
| ) |  |  |

virtual wxPGCell::~wxPGCell | ( |  | ) | `[virtual]`

## Member Function Documentation

const wxColour& wxPGCell::GetBgCol | ( |  | ) | const

const wxBitmap& wxPGCell::GetBitmap | ( |  | ) | const

const wxPGCellData* wxPGCell::GetData | ( |  | ) | const

const wxColour& wxPGCell::GetFgCol | ( |  | ) | const

const wxFont& wxPGCell::GetFont | ( |  | ) | const

Returns font of the cell.

If no specific font is set for this cell, then the font will be invalid.

const wxString& wxPGCell::GetText | ( |  | ) | const

bool wxPGCell::HasText | ( |  | ) | const

Returns true if this cell has custom text stored within.

void wxPGCell::MergeFrom | ( | const wxPGCell & | srcCell | ) |

Merges valid data from srcCell into this.

wxPGCell& wxPGCell::operator= | ( | const wxPGCell & | other | ) |

void wxPGCell::SetBgCol | ( | const wxColour & | col | ) |

void wxPGCell::SetBitmap | ( | const wxBitmap & | bitmap | ) |

void wxPGCell::SetFgCol | ( | const wxColour & | col | ) |

void wxPGCell::SetFont | ( | const wxFont & | font | ) |

Sets font of the cell.

Remarks:
  Because wxPropertyGrid does not support rows of different height, it makes little sense to change size of the font. Therefore it is recommended to use return value of wxPropertyGrid::GetFont() or wxPropertyGrid::GetCaptionFont() as a basis for the font that, after modifications, is passed to this member function.

void wxPGCell::SetText | ( | const wxString & | text | ) |

|  | [ top ]